/****************************************
* MODULE:   DEMO1.C  
* FUNCTION: the main routine of card_demo 
* AUTHOR:   Jorma Jormakka
* DATE:     23.7.92
*****************************************/
#include "x.ext"
#include "win.ext"
#include "text.ext"
extern int xxmin,yymin,xxmax,yymax;

/********************************
*
*  main
*
********************************/
int main(argc,argv) int argc; char **argv;
{

 defaultfont=2;
 xxmin=0;yymin=0;xxmax=773;yymax=559;
 if(init_font(defaultfont)) 
 {printf("problems in loading font\n");getch();return 1;}   

 if(initPool(0,0,0,0)) return 0;

 /* create and map a window in X11 */
 initgraph(argc,argv); 

 term=I86;lg=ENGL;plg=FINN | POLI;bgcol=1;
 X1_min=0;Y1_min=0;X1_max=X__max;Y1_max=Y__max;

 init_texts();


 if(init_win(0,15)) return 1;
 /* card backgrounds are kept in files, so memory is not a problem */
 fgbuffer=(char *)malloc(FGSIZE);
 if(!fgbuffer) return 1;
 bgbuffer=(char *)malloc(FGSIZE);
 if(!bgbuffer) return 1;

 clearwin(X1_min,Y1_min,X1_max,Y1_max,15);
   
 if(argc>1) {
  if(!strcmp(argv[1],"-d")) card_demo();
 }
 else while(solitaire()!=1);

 free_win(1,0);  
 endgraph();
 if(free_font()) {printf("problems in freeing font\n");getch();return(1);}
 
 return 0;
}
